%define	name	knob
%define	version 1.0
%define	release	0.20070406.%mkrel 3

Name:		%name
Version:	%version
Release:	%release
Summary:	Makes the volume knob on Dell's Enhanced Multimedia USB Keyboard
License:	GPL
Group:		System/Kernel and hardware
URL:		http://wiki.ejohansson.se/index.php/Software/knob
Source0:	http://svn.ejohansson.se/viewvc/src/misc/c/knob.c
Source1:	http://svn.ejohansson.se/viewvc/src/misc/c/find_knob.c
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Requires(pre):  rpm-helper
Requires(post): rpm-helper
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
knob is a small program that reads the events generated by the volume knob on
the keyboard, and translates them to keypress events that the X Server can
understand.

%prep
%setup -T -c

%build
gcc -o knob %{SOURCE0} -std=c99 %{optflags}
gcc -o find_knob %{SOURCE1} -std=c99 %{optflags}

%install
rm -rf %{buildroot}

install -d -m 755  %{buildroot}/%{_bindir}
install -m 755 knob %{buildroot}/%{_bindir}
install -m 755 find_knob %{buildroot}/%{_bindir}

install -d -m 755  %{buildroot}/%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}/%{_initrddir}/%{name}

install -d -m 755  %{buildroot}/%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*




%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.20070406.3mdv2009.0
+ Revision: 247803
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0-0.20070406.1mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Apr 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.20070406.1mdv2007.1
+ Revision: 151058
- Import knob

* Sat Apr 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.20070406.1mdv2007.1
- first mdv release

